---
title: Installation
sidebar_position: 20
---

# Installation

[Solace Agent Mesh Module](https://pypi.org/project/solace-agent-mesh) comes with two components:
1. **Solace Agent Mesh (SAM) CLI**: To create, build, run, and extend Solace Agent Mesh.
2. **Solace Agent Mesh framework**: To extend the capabilities of Solace Agent Mesh using Python code. We've provided a framework that you build upon to extend and customize the capabilities of Solace Agent Mesh.

Installing the PyPi package will install both the SAM CLI and the framework that uses the Python SDK.

:::tip
We recommend that you install the package in a virtual environment to avoid conflicts with other Python packages.
:::

<details>
    <summary>Creating a Virtual Environment</summary>

1. Create a virtual environment.

```
python3 -m venv .venv
```

2. Activate the environment.

   To activate on Linux or Unix platforms:
    ```sh
    source .venv/bin/activate
    ```

    To activate on Windows:

    ```cmd
    .venv\Scripts\activate
    ```
</details>

**Install Solace Agent Mesh**

1. The following command installs the Solace Agent Mesh (SAM) CLI in your environment:

```sh
pip install solace-agent-mesh
```


2. Run the following SAM CLI command (`solace-agent-mesh`) to verify your installation:

```sh
solace-agent-mesh --version
```

:::tip
For easier access to the SAM CLI, it also comes with the `sam` alias.

```sh
sam --version
```
:::

To get the list of available commands, run:

```sh
solace-agent-mesh --help
```
